2011-2014
Khronos Group
gl_InstanceID
3G

# gl_InstanceID

contains the index of the current primitive in an instanced draw command

## Declaration

in highp
int `gl_InstanceID`

## Description

`gl_InstanceID` is a vertex language input variable that holds the integer index of the current primitive in an instanced draw command such as `glDrawArraysInstanced`. If the current primitive does not originate from an instanced draw command, the value of `gl_InstanceID` is zero.

## Version Support

gl_InstanceID

## See Also

gl_VertexID

## Copyright

Copyright 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.